Create a web hook
Requires the WEBHOOK.CREATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
active
The status of the webhook.
include_previous_data
Define whether the webhook payload include the previous status or only the current status
authentication_type
The type of authentication used for the webhook.
Allowed values:
username
The username used for basic authentication.
password
The password used for basic authentication.
api_header_field
The name of the header field for authentication with an API key.
api_key
The value of for authentication with an API key.
url
The url of the webhook where webhooks will be sent.
included_actions
The actions of which a webhook will be sent.
excluded_actions
The actions of which a webhook will not be sent.
signing_protocol
The signing protocol for the webhook.
previous_signing_protocol
secret_rolled_at
The instant when the secret was rolled.
penalty_box_data
Indicates if this webhook is in the penalty box
Response
Created
active
The status of the webhook.
include_previous_data
Define whether the webhook payload include the previous status or only the current status
authentication_type
The type of authentication used for the webhook.
Allowed values:
object_type
id
username
The username used for basic authentication.
api_header_field
The name of the header field for authentication with an API key.
url
The url of the webhook where webhooks will be sent.
included_actions
The actions of which a webhook will be sent.
excluded_actions
The actions of which a webhook will not be sent.
penalty_box
secret_key
signing_protocol
The signing protocol for the webhook.
previous_secret_key
previous_signing_protocol
secret_rolled_at
The instant when the secret was rolled.
penalty_box_data
Indicates if this webhook is in the penalty box
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error